Bug 693682 - libnetfilter_conntrack-0.9.1 is available
Summary: libnetfilter_conntrack-0.9.1 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libnetfilter_conntrack
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul P Komkoff Jr
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-05 10:42 UTC by Upstream Release Monitoring
Modified: 2011-06-03 05:35 UTC (History)
3 users (show)

Fixed In Version: libnetfilter_conntrack-0.9.1-1.fc13
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-30 07:58:22 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2011-04-05 10:42:22 UTC
Latest upstream release: 0.9.1
Current version in Fedora Rawhide: 0.9.0
URL: http://ftp.netfilter.org/pub/libnetfilter_conntrack/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Account closed by user 2011-04-09 09:07:01 UTC
Changelog 0.9.0 vs. 0.9.1:

      build: use autoconf-suggested naming of files
      build: use modern call syntax for AC_INIT, AM_INIT_AUTOMAKE
      build: avoid use of deprecated INCLUDES
      build: use simpler autoreconf in autogen
      build: run AC_CANONICAL_HOST only
      build: no need for error message in PKG_CHECK_MODULES
      add .gitignore to rootdir
      build: set Libs.private for pkgconfig file
      build: use sh -e, remove autom4te.cache
      build: remove statements without effect
      build: remove unused $(all_includes)
      build: remove -fPIC flag
      build: no need for error message in PKG_CHECK_MODULES
      Update .gitignore
      build: default to not building static libraries
      build: use AC_OUTPUT
      build: run autoupdate to replace obsolete constructs
      src: remove redundant casts
      src: declare non-modified data as const
      utils: use sizeof(buf) over hardcoded number
      build: remove unused LIBTOOL_DEPS
      build: use -Wall across the entire source
      utils: resolve compiler warnings
      qa: resolve compiler warnings
      doc: minor improvements for doxygen config file
      src: fix warning in compilation
      expect: add CTA_EXPECT_ZONE support
      expect: add support for CTA_EXPECT_FLAGS
      utils: more realistic expectation creation for FTP helper
      utils: add user-space expectation example
      expect: add missing tags for expectation events
      conntrack: fix independent metadata checkings in XML output
      doc: update README file (including re-license to GPLv2+)
      Merge branch 'master' of git://dev.medozas.de/libnetfilter_conntrack
      src: allow to use nfct handler for conntrack and expectations
                                                   at the same time
      utils: expect_events now listens to all sort of expectation events
      expect: export already implement low-level functions
      src: replace CTA_PROTOINFO_DCCP_SEQ by CTA_PROTOINFO_DCCP_HANDSHAKE_SEQ
      callback: remove unused goto tag
      Merge branch 'master' of git://dev.medozas.de/libnetfilter_conntrack
      src: add support for CTA_SECCTX
      api: fix use-after-free bug in nfct_destroy()
      include: sync IPS_* bits with current in the Linux kernel
      conntrack: add timestamp support
      conntrack: fix segfault in nfct_copy() if secctx of origin is not set
      conntrack: add NFCT_CP_OVERRIDE flag for nfct_copy()
      conntrack: deprecate nfct_sizeof() and nfct_maxsize() functions
      src: deprecate low level API
      conntrack: fix subscript is above array bounds in secctx
      build: bump version to 0.9.1

Comment 2 Paul P Komkoff Jr 2011-04-10 21:53:02 UTC
0.9.1 should be in -testing already.

Comment 3 Fedora Update System 2011-05-05 11:54:31 UTC
libnetfilter_conntrack-0.9.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libnetfilter_conntrack-0.9.1-1.fc14

Comment 4 Fedora Update System 2011-05-05 11:54:39 UTC
libnetfilter_conntrack-0.9.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/libnetfilter_conntrack-0.9.1-1.fc13

Comment 5 Fedora Update System 2011-05-05 11:54:46 UTC
libnetfilter_conntrack-0.9.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libnetfilter_conntrack-0.9.1-1.fc15

Comment 6 Fedora Update System 2011-05-09 04:07:25 UTC
libnetfilter_conntrack-0.9.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-06-03 05:33:33 UTC
libnetfilter_conntrack-0.9.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-06-03 05:35:16 UTC
libnetfilter_conntrack-0.9.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.